//
//  SpriteMoople.swift
//  ArkitDoushiQi
//
//  Created by Enzo JOLYS on 27/05/2024.
//

import Foundation
import SpriteKit

class SpriteMoople : SKNode {
    
    static let offset = CGPoint(x: -400, y: -300 )
    static let direction = CGVector(dx: 100, dy: 100)
    
    let image:SKSpriteNode
    let ellipse:SKShapeNode = SKShapeNode(circleOfRadius: 40)
    
    var cellPosition:CGPoint = CGPoint(x: 0, y: 0) {
        didSet {
            //self.position = SpriteMoople.offset
            //self.position.x = SpriteMoople.offset.x + SpriteMoople.direction.dx * self.cellPosition.x
            //self.position.y = SpriteMoople.offset.y + SpriteMoople.direction.dy * self.cellPosition.y
            self.position = calculPosition(positionTab: self.cellPosition)
        }
    }
    
    
    init(nameImage:String,couleur:UIColor){
        ellipse.fillColor = couleur
        image = SKSpriteNode(imageNamed: nameImage)
        
        super.init()
        self.addChild(ellipse)
        self.addChild(image)
    }
    
    func calculPosition(positionTab:CGPoint) -> CGPoint {
        return CGPoint(x: SpriteMoople.offset.x + SpriteMoople.direction.dx * positionTab.x, y: SpriteMoople.offset.y + SpriteMoople.direction.dy * positionTab.y)
    }
    
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    
    
}
